make test: fix broken passing of return value 74/8074/3
authorKlement Sekera <ksekera@cisco.com>
Wed, 16 Aug 2017 14:38:10 +0000 (16:38 +0200)
committerNeale Ranns <nranns@cisco.com>
Fri, 18 Aug 2017 10:34:39 +0000 (10:34 +0000)
Change-Id: I2cb83caaf55ca9a29c06d71c6d20f8273ec062b3
Signed-off-by: Klement Sekera <ksekera@cisco.com>
test/scripts/run_in_venv_with_cleanup.sh
test/scripts/setsid_wrapper.sh

index 541f584..35b6737 100755 (executable)
@@ -14,7 +14,7 @@ atexit() {
                        kill -9 $id
                fi
        done
-       exit $rv
+       exit ${rv}
 }
 
 trap "atexit;" SIGINT SIGTERM
@@ -30,9 +30,10 @@ then
        $*
 else
        $* &
-       wait
+       pid=$!
+       wait ${pid}
 fi
 
 rv=$?
 atexit
-exit $rv
+exit ${rv}
index e18b6ad..6d63426 100755 (executable)
@@ -3,10 +3,10 @@
 if [[ "$1" == "1" ]]
 then
        setsid scripts/run_in_venv_with_cleanup.sh $*
-       pid=$!
 else
        setsid scripts/run_in_venv_with_cleanup.sh $* &
        pid=$!
        trap "echo setsid_wrapper.sh: got signal, killing child pid ${pid}; kill ${pid}; sleep .1;" SIGINT SIGTERM
-       wait
+       wait ${pid}
+       exit $?
 fi